Skip to main content
`Ctrl`+`K`

# DMShellGetCoarsen

Get the routine used to coarsen the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCoarsen(DM dm, PetscErrorCode (**coarsen)(DM, MPI_Comm, DM *))

Logically Collective

## Input Parameter

- dm - the `DMSHELL`

## Output Parameter

- coarsen - the routine that coarsens the `DM`

## See Also

`DM`, `DMSHELL`, `DMShellSetCoarsen()`, `DMCoarsen()`, `DMShellSetRefine()`, `DMRefine()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages